"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Notes = void 0;
const tslib_1 = require("tslib");
const typeorm_1 = require("typeorm");
const class_validator_1 = require("class-validator");
const _1 = require(".");
let Notes = class Notes {
};
tslib_1.__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('uuid'),
    tslib_1.__metadata("design:type", String)
], Notes.prototype, "id", void 0);
tslib_1.__decorate([
    (0, class_validator_1.IsNotEmpty)(),
    (0, typeorm_1.Column)({
        type: 'text',
        nullable: false,
    }),
    tslib_1.__metadata("design:type", String)
], Notes.prototype, "text", void 0);
tslib_1.__decorate([
    (0, class_validator_1.IsEmpty)(),
    (0, typeorm_1.Column)({
        name: 'created_at',
        type: 'timestamp',
        nullable: true,
        default: 'CURRENT_TIMESTAMP',
    }),
    tslib_1.__metadata("design:type", Date)
], Notes.prototype, "createdAt", void 0);
tslib_1.__decorate([
    (0, class_validator_1.IsEmpty)(),
    (0, typeorm_1.UpdateDateColumn)({
        name: 'updated_at',
        type: 'timestamp',
        nullable: true,
        default: 'CURRENT_TIMESTAMP',
    }),
    tslib_1.__metadata("design:type", Date)
], Notes.prototype, "updatedAt", void 0);
tslib_1.__decorate([
    (0, typeorm_1.ManyToOne)(() => _1.Users, (item) => item.notes),
    (0, class_validator_1.IsNotEmpty)(),
    (0, typeorm_1.JoinColumn)({
        name: 'created_by',
    }),
    tslib_1.__metadata("design:type", Object)
], Notes.prototype, "createdBy", void 0);
Notes = tslib_1.__decorate([
    (0, typeorm_1.Entity)('notes')
], Notes);
exports.Notes = Notes;
//# sourceMappingURL=notes.js.map