"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Requests = void 0;
const tslib_1 = require("tslib");
const typeorm_1 = require("typeorm");
const class_validator_1 = require("class-validator");
const _1 = require(".");
let Requests = class Requests {
};
tslib_1.__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    tslib_1.__metadata("design:type", Number)
], Requests.prototype, "id", void 0);
tslib_1.__decorate([
    (0, class_validator_1.IsEmpty)(),
    (0, typeorm_1.CreateDateColumn)({
        name: 'created_at',
        type: 'timestamp',
        nullable: true,
        default: 'CURRENT_TIMESTAMP',
    }),
    tslib_1.__metadata("design:type", Date)
], Requests.prototype, "createdAt", void 0);
tslib_1.__decorate([
    (0, class_validator_1.IsEmpty)(),
    (0, typeorm_1.UpdateDateColumn)({
        name: 'updated_at',
        type: 'timestamp',
        nullable: true,
        default: 'CURRENT_TIMESTAMP',
    }),
    tslib_1.__metadata("design:type", Date)
], Requests.prototype, "updatedAt", void 0);
tslib_1.__decorate([
    (0, typeorm_1.ManyToMany)(() => _1.Pods, (item) => item.lockedRequests),
    (0, typeorm_1.JoinTable)({
        name: 'requests_have_pod_locks',
        inverseJoinColumn: {
            referencedColumnName: 'id',
            name: 'pod_id',
        },
        joinColumn: {
            referencedColumnName: 'id',
            name: 'request_id',
        },
    }),
    tslib_1.__metadata("design:type", Array)
], Requests.prototype, "podLocks", void 0);
Requests = tslib_1.__decorate([
    (0, typeorm_1.Entity)('requests')
], Requests);
exports.Requests = Requests;
//# sourceMappingURL=requests.js.map